<?php
abstract class Core_Form_Plugin_Abstract implements Core_Form_Plugin_Interface
{
    protected $_name;

    public function __construct($options = array())
    {
        $this->setName($options['name']);
    }

    public function init()
    {
    }

    public function setOwner(Core_Plugin_Interface $form)
    {
    }

    public function setName($name)
    {
        $this->_name = $name;
        return $this;
    }

    public function getName()
    {
        return $this->_name;
    }
}
